import { Type } from "./node.js";

export enum NodeValueStatusCode {
  good = "good",
  bad = "bad"
}

export enum NodeValueCategory {
  good = "good",
  bad = "bad"
}

export interface INodeValueStatus {
  statusCode: NodeValueStatusCode;
  statusText?: string;
}

export interface IValueType {
  type: Type;
  isArray?: boolean;
}

export type ValueType = IValueType | Type;

export interface INodeValue {
  value: any;
  timestamp?: Date;
  category?: string;
  status?: INodeValueStatus;
  valueType?: IValueType;
}

export type NodeValue = null | INodeValue;
